<?php
$_title = "DPVZ - Thanh Toán";
include_once 'head.php';
if($_login == null) {header("location:/login");}

?>
<main class="flex-grow-1 flex-shrink-1">
<?php
		
		function get_string_tinhtrangthe($tinhtrangthe) {
			switch ($tinhtrangthe) {
				case 0:
				$str = '<span class="btn btn-warning form-fontrol">Chờ xử lý</span>';
				break;
				case 1:
				$str = '<span class="btn btn-success form-fontrol">Nạp Thành Công</span>';
				break;
				case 2:
				$str = '<div class="btn" style="background-color:red;color:#fff; ">Thẻ Sai</div>';
				break;
				default:
				$str = '<span class="btn btn-danger form-fontrol">Lỗi Chưa Xác Định</span>';
				break;
			}
			return $str;
		}
		?>
    <div class="container pb-5">
	<?php
   if($_login != null) {
      if($_status == "wait") {
   echo '<div class="alert alert-info">Để có thể đăng nhập vào game, bạn cần phải <a href="/active">kích hoạt tài khoản</a> (Phí: 10,000 DCoin = 10,000 VND).</div>';
   }
   elseif($_status == "block") {
   echo '<div class="alert alert-info">Tài khoản đang bị khóa, để mở lại bạn cần phải <a href="/active">mở khóa tài khoản</a> (Phí: 10,000 DCoin = 10,000 VND).</div>';
   }
   }
   ?>
    <br><h4 >Lịch sử giao dịch</h4>
    <div class="py-3 text-center">
			<div class="table-responsive">
            	<table class="table table-bordered table-hover">
						<tr>
							<th>ID</th>
							<th>LOẠI</th>
							<th>TRẠNG THÁI</th>
							<th>MỆNH GIÁ</th>
							<th>THỜI GIAN</th>
						</tr>
					</thead>
					<tbody>
						<?php
						$data = _query(_select("*","naptien","uid='$_username' ORDER BY id DESC"));
						while($row = mysqli_fetch_array($data))
						{
								?>

								<tr>
									<td><?php echo htmlspecialchars($row['id']); ?></td>
									<td><?php echo htmlspecialchars($row['loaithe']); ?></td>
									<td><?php echo get_string_tinhtrangthe($row['tinhtrang']); ?></td>
									<td><?php echo number_format($row['sotien']); ?>đ</td>
									<td><?php echo date("H:i - d/m/Y", $row['time']); ?></td>
								</tr>

							<?php }
							?>
						</tbody>
					</table>
				</div>
			</div>
            <?php
            include_once 'end.php';
        ?>
        </div>
        
</main>